-- Plugin manager Options tab.

function Options_Box(OP,Ypos,text)
	local Box = Turbine.UI.Lotro.CheckBox()
	Box:SetText( text )
	Box:SetSize( 220, 22 )
	Box:SetPosition( 10, Ypos )
	Box:SetParent( OP )
	return Box
end

function Options_Init(print,Settings,Window,Fname)
	local OP = Turbine.UI.Control()
	OP:SetBackColor( Turbine.UI.Color(0.0, 0.0, 0.1) )
	OP:SetSize( 240, 260 )
	plugin.GetOptionsPanel = function( self ) return OP end
	if not Window then return OP end
	if not Settings then Settings = {} end

	local autoBox = Options_Box(OP,10," Auto-open window")
	if Settings.auto then autoBox:SetChecked(true) end
	autoBox.CheckedChanged = function( sender, args )
		if not Settings then Settings = {} end
		Settings.auto = sender:IsChecked()
		if Settings.auto and Window then
			local x,y = Window:GetPosition()
			Settings.auto = { x=x, y=y }
			print("Saved window position.")
		end
		print((Settings.auto and "En" or "Dis").."abled Auto-open.")
		if Fname then
			Turbine.PluginData.Save(Turbine.DataScope.Server,Fname,Settings)
		end
	end
	return OP
end
