-- Database for Warband Reference
-- coding: utf-8 'ä

-- Fields: M=Morale, L=Level, B=Box color, A=Allies, D=Difficulty, C=Combat, N=Note
-- Dmg types: A=AncientDwarf, B=Beleriand F=Fire, f=frost, L=Light, l=lightning, S=Shadow, W=Westerness
-- Combat: F=Foot, M=Mounted, m=Melee, r=Ranged

Box = { B="Blue", R="Red", G="Green", S="Silver" }
Mnt = { F="No", M="Yes" }
Combat = { F="Foot", M="Mounted", m="Melee", r="Ranged" }
Diff = { W="Swarm", n="Normal", S="Signature", E="Elite", M="Elite Master", N="Nemesis", A="Arch-nemesis" }
WB = {
	["Cinder"] = { z="The Wold", L=77, M="15,338", l="40.0s, 54.4w",
				B="B", D="S", A="2WFm", C="Fr" },
	["Urush"] = { z="The Wold", L=77, M="15,338", l="41.6s, 48.0w",
				B="B", D="S", A="2nMm", C="Mr" },
	["Hanrun"] = { z="The Wold", L=77, M="15,338", l="45.6s, 50.5w",
				B="B", D="S", A="2WFm", C="Fm" },
	["Bughrakh"] = { z="The Wold", L=77, M="76,689", l="46.4s, 47.2w",
				B="R", D="M", A="4WFr", C="Fm" },

	["Swertríper"] = { z="Norcrofts", L=79, M="30,059", l="54.0s, 54.6w",
				B="B", D="E", A="2nFm", C="Fm" },
	["Skútog"] = { z="Norcrofts", L=79, M="37,574", l="50.6s, 55.2w",
				B="B", D="E", A="4nMr", C="Mr" },
	["Haglob"] = { z="Norcrofts", L=79, M="101,188", l="46.8s, 53.7w",
				B="R", D="M", A=" ", C="Fm" },
	["Dahámab"] = { z="Norcrofts", L=78, M="15,846", l="45.1s, 57.5w",
				B="R", D="S", A="4nMr", C="Mm" },

	["Bensengan"] = { z="Entwash Vale", L=80, M="9,216", l="51.3s, 61.6w",
				B="B", D="N", A="2WFr", C="Fr" },
	["Mâthum"] = { z="Entwash Vale", L=82, M="11,666", l="44.8s, 63.2w",
				B="B", D="S", A="3WMr", C="Mm" },--
	["Dâl"] = { z="Entwash Vale", L=80, M="92,163", l="52.0s, 60.5w",
				B="R", D="M", A="2EMr1EMm", C="Mm" },
	["Fearrhorn"] = { z="Entwash Vale", L=80, M="104,535", l="51.2s, 61.7w",
				B="R", D="M", A="4nFm3WFm", C="Fm", N="Non-agressive" },
	["Mirz"] = { z="Entwash Vale", L=82, M="43,746", l="44.8s, 63.2w",
				B="R", D="E", A="2SMm2nMr2nFr", C="Fm" },--
	["Urgai"] = { z="Entwash Vale", L=81, M="184.325", l="51.4s, 61.2w",
				B="G", D="N", A="1EMr1EMm", C="Mr" },--

	["Gundul"] = { z="Sutcrofts", L=84, M="106,250", l="56.0s, 61.0w",
				B="R", D="M", A="8nFm", C="Fm", N="Easy ranged kill" },
	["Kramp"] = { z="Sutcrofts", L=85, M="110,138", l="60.0s, 60.0w",
				B="G", D="M", A="4SMr", C="Mm", N="Hits very hard, moves fast" },
	["Bugud"] = { z="Sutcrofts", L=86, M="704,475", l="60.0s, 57.7w",
				B="S", D="A", A="2EFm3SFr", C="Mm", N="Hits hard, slow kill" },

	["Foulwing"] = { z="Wildermore", L=85, M="22,028", l="36.8s, 57.6w",
				B="B", D="S", A="4WFm", C="Mm", N="Easy kill" },--
	["Karkas"] = { z="Wildermore", L=85, M="24,720", l="30.8s, 63.1w",
				B="B", D="S", A=" ", C="Mm" },--
	["Blizzard"] = { z="Wildermore", L=85, M="24,475", l="34.4s, 67.2w",
				B="B", D="S", A="2WFr", C="Fr", N="Has knockback skill" },--
	["Shum"] = { z="Wildermore", L=85, M="22,250", l="42.5s, 57.6w",
				B="B", D="S", A="2WFm", C="Fm" },--
	["Gîmtog"] = { z="Wildermore", L=85, M="24,473", l="37.2s, 63.0w",
				B="B", D="S", A="3nFm", C="Fm" },--
	["Arataus"] = { z="Wildermore", L=85, M="112,375", l="41.6s, 56.0w",
				B="R", D="E", A="4nMm", C="Mm", N="Can't outrun group" },--
	["Balcharan"] = { z="Wildermore", L=85, M="40,063", l="35.2s, 60.8w",
				B="R", D="E", A="3WFm", C="Fr", N="Easy, slow, +2 dread" },--
	["Voz"] = { z="Wildermore", L=85, M="224,725", l="38.4s, 58.4w",
				B="G", D="N", A="2SMr", C="Mm", N="Hits hard, moves fast" },--
	["Varg"] = { z="Wildermore", L=86, M="140,895", l="34.3s, 69.7w",
				B="R", D="M", A="3SFr1EFm", C="Fm" },--
	["Zovarr"] = { z="Wildermore", L=85, M="224,725", l="43.2s, 60.8w",
				B="G", D="N", A="2EFm4nFr", C="Fr", N="Stun stops player" },--
	["Rottenheart"] = { z="Wildermore", L=86, M="422,685", l="34.7s, 71.6w",
				B="G", D="N", A="3MFr3EFm", C="Fr", N="Hits hard & ranged" },--
	["Conog"] = { z="Wildermore", L=85, M="674,175", l="40.5s, 63.6w",
				B="S", D="A", A="3SFr2nMr", C="Mr", N="Poison, Trip, Lethargy" }, --
	["Shaguk"] = { z="Wildermore", L=85, M="674,175", l="41.6s, 56.0w",
				B="S", D="A", A="4MMr", C="Mm" },

	["Bethan"] = { z="Westfold", L=95, M="977,175", l="56.9s, 88.2w",
				B="S", D="A", A="1eFm3sFm3nFm", C="Fr" },
	["Bosnauk"] = { z="Westfold", L=95, M="73,288", l="57.7s, 82.4w",
				B="S", D="E", A="5sFm", C="Fm" },
	["Búrzash	"] = { z="Eastfold", L=88, M="22,", l="66s, 58w",
				B="G", D="E", A="3nFr", C="Fm" },
	["Cledwun"] = { z="Broadacres", L=90, M="206,419", l="48.1s, 71.7w",
				B="", D="M", A="6nMr", C="M" },
	["Darkheart"] = { z="Eastfold", L=88, M="22,", l="68s, 54w",
				B="", D="S", A="2nFm", C="Fm" },
	["Felljaw"] = { z="Eastfold", L=88, M="56,813", l="69.6s, 62.4w",
				B="G", D="E", A="4nFm", C="Fm" },
	["Geralht"] = { z="Stonedeans", L=92, M="66,471", l="53.6s, 76.0w",
				B="B", D="E", A="4wFr", C="Fm" },
	["Glendower"] = { z="Kingstead", L=87, M="122,463", l="54s, 66w",
				B="", D="M", A="2EMm2SMr", C="M" },
	["Inras"] = { z="Stonedeans", L=92, M="29,543", l="58.0s, 78.4w",
				B="B", D="S", A="3nFm", C="Fm" },
	["Krúpú"] = { z="Westfold", L=95, M="61,250", l="59.2s, 78.2w",
				B="", D="M", A="3sFm3nFm", C="Fm" },
	["Neivion"] = { z="Stonedeans", L=92, M="295,425", l="49.6s, 76.8w",
				B="", D="N", A="3mFr2eFm", C="Fm" },
	["Nûdît"] = { z="Kingstead", L=86, M="117,413", l="54s, 66w",
				B="", D="M", A="3EMm3SMr", C="M" },
	["Ognir"] = { z="Stonedeans", L=92, M="66,471", l="50s, 77w",
				B="B", D="E", A=" ", C="Fm" },
	["Ora"] = { z="Kingstead", L=87, M="122,463", l="61.5s, 64.9w",
				B="", D="M", A="3sFr", C="Fm" },
	["Patarshan"] = { z="Westfold", L=9, M="", l="63s, 79w",
				B="", D="", A="", C="" },
	["Rog-votak"] = { z="Stonedeans", L=92, M="295,425", l="56.0s, 78.4w",
				B="", D="N", A="3mMr3sMr", C="Mr" },
	["Scion of the Great Bear"] = { z="Eastfold", L=89, M="262,500",
				l="70.5s, 60.2w", B="", D="N", A="5nFm", C="Fm" },
	["Snapfang"] = { z="Eastfold", L=88, M="24,998", l="54s, 66w",
				B="B", D="E", A="2nFm", C="Fm" },
	["Voraut"] = { z="Westfold", L=95, M="32,250", l="54s, 87w",
				B="B", D="S", A="2nFm", C="Fm", N="Wolf, easy kill" },
	["Glen"] = { z="King", L=9, M="", l="54s, 66w",
				B="", D="", A="", C="" },
	}
Region = { Eriador=1, Rhovanion=2 }

Zone = { }
for n,t in pairs(WB) do
	local z = t.z
	if Zone[z] then Zone[z] = Zone[z]+1
	else Zone[z] = 1 end
end
zones = { }
for name in pairs(Zone) do
    table.insert(zones,name)
end
table.sort(zones)
