-- Warband Reference plugin by David Down
-- coding: utf-8 'ä
import "Turbine.Gameplay"
import "Vinny.WarbandRef.WR_Data"

function print(text) Turbine.Shell.WriteLine("<rgb=#00FFFF>WR:</rgb> "..text) end

local WRv = Plugins["WarbandRef"]:GetVersion()
print("WarbandRef "..WRv.." initialized.")

player = Turbine.Gameplay.LocalPlayer.GetInstance()
local ml

import "Vinny.WarbandRef.WR_Window"
WR_window = WR_Window()
Plugins.WarbandRef.Open = function(sender,args)
	WRW_Command:Execute( )
end

WR_Opt = Turbine.PluginData.Load(Turbine.DataScope.Server,"WarbandRef_Opt")
if WR_Opt and WR_Opt.auto then
	WR_window:SetPosition(WR_Opt.auto.x, WR_Opt.auto.y)
	WRW_Command:Execute( )
end

function InAt(rg,loc)
	return #loc>2 and " at "..loc or " in "..rg[loc].n
end

WR_Command = Turbine.ShellCommand()
local help_text = "wr zones (List zones with warbands)"
function WR_Command:GetShortHelp() return help_text end
function WR_Command:GetHelp() return help_text end

function WR_Command:Execute( cmd,args,lvl )
	if args=="help" then
		print(help_details)
		return
	end
	if args=="zones" then
		print("<rgb=#00FF00>Warband zones:</rgb>")
		for i,z in ipairs(zones) do
			print(string.format("%s(%d)",z,Zone[z]))
		end
		return
	end
    print(help_text)
end

Turbine.Shell.AddCommand( "wr",WR_Command )

-- Options panel
import "Vinny.Common.Options"
Vinny.Common.Options_Init(print,WR_Opt,WR_window,"WarbandRef_Opt")
